/*
    listPM list files under Presentation Manager. Uses Open Class Libarary.
    Copyright (C) 1996  Paul Elliott

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Paul Elliott
    3987 South Gessner #224
    Houston Tx 77063
    Paul.Elliott@Hrnowl.LoneStar.Org
*/
#ifndef FINDMLE
#define FINDMLE

#include <i0string.hpp>
#include <imle.hpp>
#include <ipoint.hpp>


/*

search for given expression in a IMultiLineEdit.
Can search in forward or reverse direction.
Exact case match can be required.
the found text is slected and cursor pointed at the found text in
the direction of search.
*/
Boolean FindMle(
                   IMultiLineEdit& mle,   // multi line edit field
                   Boolean forward,       // if true search forward.
                   Boolean exact,         // exact case search?
                   const IString str);    // string to search for.
#endif // FINDMLE
